wirst du diese 2 Jahre auch bei Mojave bleiben?

Not compatible with MacOS Catalina - Because Synchronize! Pro X is a 32-bit application, it is not supported by Apple on MacOS 10.15 Catalina and later operating systems. A 64-bit version of Synchronize! Pro X is not planned.